Package com.ocient.jdbc.proto

## Interface PlanProtocol.OrderedAggOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OrderedAggOperator`, `PlanProtocol.OrderedAggOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OrderedAggOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInputCols​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` `getInputColsBytes​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` `getInputColsCount()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`List<String>` `getInputColsList()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` `getKeys​(int index)` The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The GROUP BY columns - can't be empty
`int` `getKeysCount()` The GROUP BY columns - can't be empty
`List<String>` `getKeysList()` The GROUP BY columns - can't be empty
`PlanProtocol.GatherLevel` `getLevel()` `.xg.db.sqlPlans.GatherLevel level = 6;`
`int` `getLevelValue()` `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.AggregationOperator.AggregationOp` `getOps​(int index)` The aggregation operations to perform
`int` `getOpsCount()` The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` `getOpsList()` The aggregation operations to perform
`int` `getOpsValue​(int index)` The aggregation operations to perform
`List<Integer>` `getOpsValueList()` The aggregation operations to perform
`String` `getOutputCols​(int index)` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` `getOutputColsBytes​(int index)` The name to give to the columns created by each aggregation operation
`int` `getOutputColsCount()` The name to give to the columns created by each aggregation operation
`List<String>` `getOutputColsList()` The name to give to the columns created by each aggregation operation
`String` `getOutputColsTypes​(int index)` The types for the outputCols, in the same order
`com.google.protobuf.ByteString` `getOutputColsTypesBytes​(int index)` The types for the outputCols, in the same order
`int` `getOutputColsTypesCount()` The types for the outputCols, in the same order
`List<String>` `getOutputColsTypesList()` The types for the outputCols, in the same order

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getKeysList

    List<String> getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Returns:
  A list containing the keys.

#### getKeysCount

    int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Returns:
  The count of keys.

#### getKeys

    String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### getOpsList

    List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Returns:
  A list containing the ops.

#### getOpsCount

    int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Returns:
  The count of ops.

#### getOps

    PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The ops at the given index.

#### getOpsValueList

    List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Returns:
  A list containing the enum numeric values on the wire for ops.

#### getOpsValue

    int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### getInputColsList

    List<String> getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Returns:
  A list containing the inputCols.

#### getInputColsCount

    int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Returns:
  The count of inputCols.

#### getInputCols

    String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The inputCols at the given index.

#### getInputColsBytes

    com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the inputCols at the given index.

#### getOutputColsList

    List<String> getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Returns:
  A list containing the outputCols.

#### getOutputColsCount

    int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Returns:
  The count of outputCols.

#### getOutputCols

    String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputCols at the given index.

#### getOutputColsBytes

    com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputCols at the given index.

#### getOutputColsTypesList

    List<String> getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Returns:
  A list containing the outputColsTypes.

#### getOutputColsTypesCount

    int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Returns:
  The count of outputColsTypes.

#### getOutputColsTypes

    String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColsTypes at the given index.

#### getOutputColsTypesBytes

    com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColsTypes at the given index.

#### getLevelValue

    int getLevelValue()

`.xg.db.sqlPlans.GatherLevel level = 6;`

Returns:
  The enum numeric value on the wire for level.

#### getLevel

    PlanProtocol.GatherLevel getLevel()

`.xg.db.sqlPlans.GatherLevel level = 6;`

Returns:
  The level.